/** \file  library.h
 *  \brief Mathutil error return codes.
 */

/** \brief Error enum. */
typedef enum error_enum {
    rcode_success             = 0,
    rcode_last_error_in_enum1 = 4
} error_t;

/**
 * \brief Convert an error return code into a corresponding error
 *        message string. 
 * \param error  Error return code to convert
 * \return       Pointer to text string
 */
const char* error_to_string( const error_t error );
